.centered{
    position: absolute;
    top:  50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

body{
    background-color: black;
    cursor: url(../images/cursor.png), auto;
}

.bg{
    position: fixed;
    border-radius: 0%;
    width: 100%;
    height: 100%;
    background-image: url(../images/stars.jpg);
    background-color: rgba(0, 0, 0, 1);
    background-blend-mode: darken;
    transition: background-color 7s;
}

#rosebg{
    position: absolute;
    width: 480px;
    height: 480px;
    scale: 0.3;
    position-anchor: center middle;
    transition-timing-function: ease-out;
    transition: scale 2.5s;
    transform-origin: 0 0;
}

#name{
    position: absolute;
    width: 420px;
    height: 420px;
    scale: 0.3;
    position-anchor: center middle;
    transition-timing-function: ease-out;
    transition: scale 3.5s;
    transform-origin: 0 0;
}

#construction{
    position: absolute;
    width: 420px;
    height: 420px;
    scale: 0.3;
    position-anchor: center middle;
    transition-timing-function: ease-out;
    transition: scale 6s;
    transform-origin: 0 0;
    color: red;
}

/*Animations*/
@keyframes spin {
  from {
      rotate: 0deg;
  }
  to {
      rotate: 360deg; 
  }
}

.rotating {
  animation: spin 12s linear infinite;
}

